extends layout

append stylesheets
    link(rel='stylesheet' href='css/overview.css' type='text/css')

append scripts
    script var role = !{JSON.stringify(role).replace(/<\//g, "<\\/")}
    script var firstLogin = !{JSON.stringify(first_login).replace(/<\//g, "<\\/")}
    script var allTotalRequests = !{JSON.stringify(allTotalRequests).replace(/<\//g, "<\\/")}
    script var allRegions = !{JSON.stringify(allRegions).replace(/<\//g, "<\\/")}
    script var allProvinces = !{JSON.stringify(allProvinces).replace(/<\//g, "<\\/")}
    script var allCities = !{JSON.stringify(allCities).replace(/<\//g, "<\\/")}
    script(src='/xlsx/dist/xlsx.full.min.js')
    script(src='js/page_scripts/ps_overview.js')

block content
    +header-with-buttons('overview')
        li
            a(data-bind='click:exportRequestsAsXls') Export to XLS
    
    //- Table Content 
    div.section
        div.row.table-container
            table.requests-table
                thead
                    tr 
                        th(width='15%') Tracking Number
                        th(width='20%') Institution Name
                        th.responsive-cell(width='17.5%') Location
                        th(width='7.5%').responsive-cell.center Type 
                        th(width='10%').responsive-cell.center Request Type
                        th(width='7.5%').responsive-cell.center Allocation 
                        th.responsive-cell.center Status
                        th.responsive-cell Request Date
                tbody(data-bind='visible:filteredRequests().length == 0')
                    tr  
                        td(colspan=6) No data to display
                tbody#table-tbody(data-bind='foreach:filteredRequests')
                    tr
                        td(width='15%')
                            a.modal-trigger(href='#request-details-modal', data-bind='text:TrackingNumber(), click:$root.getRequestDetails')
                        td(width='20%' data-bind='text:Name()')
                        td.responsive-cell(width='17.5%' data-bind='text:Location()')
                        td.responsive-cell.center(width='7.5%' data-bind='text:Type()')
                        td.responsive-cell.center(width='10%' data-bind='text:getRequestTypeName()')
                        td.responsive-cell.center(width='7.5%' data-bind='text:Allocation()')
                        td.responsive-cell.center(data-bind='text:getTagName()')
                        td.responsive-cell(data-bind=`text:moment(CreatedAt()).utcOffset(960).format('MMMM D, YYYY')`)
    
    +floating-action-btn('overview')
        li
          a.btn-floating.tooltipped.teal.lighten-2(data-bind='click:exportRequestsAsXls' data-position='top' data-tooltip='Export to Excel')
            i.material-icons file_download
        li
          a.btn-floating.tooltipped.teal.lighten-2.sidenav-trigger(data-target='filter-sidenav-slideout' data-position='top' data-tooltip='Toggle Filter')
            i.material-icons filter_list

    div#request-details-modal.modal.modal-fixed-footer
        div.modal-content(data-bind='using:selectedRequest') 
            h5 Request Details
            div.divider
            div.row 
                ul.tabs.teal.lighten-4
                    li.tab.col.s6 
                        a.active.teal.white-text(href='#beneficiary-tab') Institution
                    li.tab.col.s6 
                        a.teal.white-text(href='#request-tab') Request
            div#beneficiary-tab.col.s12
                //- Beneficiary tab
                div.row
                    div.input-field.col.s12
                        i.material-icons.prefix local_hospital
                        label Institution Name      
                        input#details-beneficiary-name.editable(type='text' data-bind='value:Name' disabled)
                div.row
                    div.input-field.col.s12
                        input#details-location(type='text' data-bind='value:Location()+", "+RegionName()' disabled)
                        label(for='details-location') Location
                div.row
                    div.input-field.col.s12.l4
                        select#details-beneficiary-type.editable(data-bind='value:Type' disabled)
                                option(value='' selected disabled) -- Choose -- 
                                option(value='Public') Public
                                option(value='Private') Private
                        label(for='details-beneficiary-type') Type
                    div.input-field.col.s12.l4
                        select#details-beneficiary-classification.editable(data-bind='value:Classification' disabled)
                                option(value='' selected disabled) -- Choose -- 
                                option(value='LGU') LGU
                                option(value='RHU') RHU
                                option(value='NGO') NGO
                                option(value='Hospital') Hospital
                                option(value='Funeral Parlor') Funeral Parlor
                                option(value='Health Facility') Health Facility 
                                option(value='Government Agency') Government Agency
                        label(for='details-beneficiary-classification') Classification
                    div.input-field.col.s12.l4
                        input#details-beneficiary-designation.editable(type='text' data-bind='value:Designation' disabled)
                        label(for='details-beneficiary-designation') Designation
                div.row
                    div.input-field.col.s12.l6 
                        input#details-beneficiary-contact-person.editable(type='text' data-bind='value:ContactPerson' disabled)
                        label(for='details-beneficiary-contact-person') Contact Person
                    div.input-field.col.s12.l6
                        input#details-beneficiary-contact-number.editable(type='text' data-bind='value:ContactNumber' disabled)
                        label(for='details-beneficiary-contact-number') Contact Number
            div#request-tab.col.s12
                //- Request Tab 
                div.row
                    div.input-field.col.s12.l6
                        select#details-request-type.editable(data-bind='value:RequestType' disabled)
                                option(value='' selected disabled) -- Choose -- 
                                option(value='P') PPE(s)
                                option(value='T') Medical Supplies
                        label(for='details-request-type') Request Type
                    div.input-field.col.s12.l6
                        input#details-request-allocation.editable(type='number' data-bind='value:Allocation' disabled)
                        label(for='details-request-allocation') Allocation
                div.row
                    div.input-field.col.s12.l6
                        input#details-request-receiver.editable(type='text' data-bind='value:Receiver' disabled)
                        label(for='details-request-receiver') Receiver
                    div.input-field.col.s12.l6
                        input#details-request-delivery-date.editable.datepicker(type='text' data-bind='value:DeliveryDate' disabled)
                        label(for='details-request-delivery-date') Delivery Date
                div.row
                    div.input-field.col.s12
                        textarea#details-request-requests.materialize-textarea.editable(data-bind='value:Requests' disabled)
                        label(for='details-request-requests') Requests
                div.row
                    div.input-field.col.s12
                        textarea#details-request-remarks.materialize-textarea.editable(data-bind='value:Remarks' disabled)
                        label(for='details-request-remarks') Remarks
                    
        div.modal-footer.bottom
            a.btn.waves-effect.waves-light(data-bind='click:confirmSaveChanges, visible:canSaveEdits') SAVE CHANGES
            | &nbsp;&nbsp;
            a.modal-close.waves-effect.waves-green.btn-flat CLOSE
